import DashedAisle from './aisleTypes/dashedAisle';
import DottedAisle from './aisleTypes/dottedAisle';
import SolidAisle from './aisleTypes/solidAisle';

function AisleInstance({ aisle }: { readonly aisle: Aisle }) {

    return (
        <>
            {aisle.type.aisleType === 'solid-aisle' && (
                <SolidAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'dashed-aisle' && (
                <DashedAisle aisle={aisle} />
            )}

            {aisle.type.aisleType === 'dotted-aisle' && (
                <DottedAisle aisle={aisle} />
            )}
        </>
    );
}

export default AisleInstance;